| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::cuda::CornersDetector Class Referenceabstract
CUDA-accelerated Computer Vision » Image Processing » Feature Detection

Base class for Corners Detector. : More...

`#include <opencv2/cudaimgproc.hpp>`

Collaboration diagram for cv::cuda::CornersDetector:

## Public Member Functions
virtual void | detect (InputArray image, OutputArray corners, InputArray mask=noArray(), Stream &stream=Stream::Null())=0
| Determines strong corners on an image.
virtual void | setMaxCorners (int maxCorners)=0
virtual void | setMinDistance (double minDistance)=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Base class for Corners Detector. :

## Member Function Documentation

## ◆ detect()

virtual void cv::cuda::CornersDetector::detect | ( | InputArray | image,
|  | OutputArray | corners,
|  | InputArray | mask = noArray(),
|  | Stream & | stream = Stream::Null() )
| pure virtual

Determines strong corners on an image.

Parameters

  image | Input 8-bit or floating-point 32-bit, single-channel image.
  corners | Output vector of detected corners (1-row matrix with CV_32FC2 type with corners positions).
  mask | Optional region of interest. If the image is not empty (it needs to have the type CV_8UC1 and the same size as image ), it specifies the region in which the corners are detected.
  stream | Stream for the asynchronous version.

Here is the call graph for this function:

## ◆ setMaxCorners()

virtual void cv::cuda::CornersDetector::setMaxCorners | ( | int | maxCorners | ) |
| pure virtual

## ◆ setMinDistance()

virtual void cv::cuda::CornersDetector::setMinDistance | ( | double | minDistance | ) |
| pure virtual

The documentation for this class was generated from the following file:

- opencv2/cudaimgproc.hpp